X2Go Bug report logs - #204
Error starting an aborted session

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Wed, 8 May 2013 09:48:02 UTC

Severity: normal

Tags: wontfix

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#204; Package x2go-agent. (Wed, 08 May 2013 09:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org.

Your message specified a Severity: in the pseudo-header, but the severity value severe was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, important, normal, minor, wishlist.

(Wed, 08 May 2013 09:48:02 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: submit@bugs.x2go.org <submit@bugs.x2go.org>
Subject: Error starting an aborted session
Date: Wed, 8 May 2013 11:41:32 +0200
package: x2go-agent
Severity: severe
Version: 0.4.0.1

If a session is aborted because of a network problem, x2goagent does not end properly. Sometimes it does, most of the time it doesn't We are working with a ssh-proxy, maybe there is a cause. 

Included is the log on the server for the user. As you can see at a certain moment it says "nxagentBlockHandler: No application running. Closing the session." I don't know what causes this, it might be a segmentation fault in the application. However, it gets worse, because after this, it is impossible for the user to login again. The only way to end the session is by kill -9. After that the user can login again.......

NXAGENT - Version 3.5.0

Copyright (C) 2001, 2011 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Agent running with pid '32154'.
Session: Starting session at 'Wed May  8 08:29:51 2013'.
Info: Proxy running in server mode with pid '32154'.
Info: Waiting for connection from 'localhost' on port '30001'.
Info: Accepted connection from '127.0.0.1'.
Info: Connection with remote proxy completed.
Info: Using ADSL link parameters 512/24/1/0.
Info: Using agent parameters 5000/10/50/0/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_17'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Listening to X11 connections on display ':50'.
Info: Established X client connection.
Info: Using shared memory parameters 1/1/0/0K.
Info: Using alpha channel in render extension.
Info: Not using local device configuration changes.
keyboard file created
SessionPath not defined
Session: Session started at 'Wed May  8 08:29:58 2013'.
I/O warning : failed to load external entity "/etc/nx/keystroke.cfg"
nxagentBlockHandler: No application running. Closing the session.
Session: Terminating session at 'Wed May  8 08:32:57 2013'.
Info: Waiting the cleanup timeout to complete.
Session: Session terminated at 'Wed May  8 08:32:58 2013'.





Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858


Bug reassigned from package 'x2go-agent' to 'x2goserver'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 14 May 2013 10:57:47 GMT) Full text and rfc822 format available.

No longer marked as found in versions 0.4.0.1. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 14 May 2013 10:57:47 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 06 Jun 2013 00:03:02 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
You have taken responsibility. (Thu, 06 Jun 2013 00:03:02 GMT) Full text and rfc822 format available.

Notification sent to Dick Kniep <dick@lindix.nl>:
Bug acknowledged by developer. (Thu, 06 Jun 2013 00:03:02 GMT) Full text and rfc822 format available.

Message #16 received at 204-done@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Dick Kniep <dick@lindix.nl>, 204-done@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: Bug#204: Error starting an aborted session
Date: Thu, 06 Jun 2013 01:49:32 +0200
[Message part 1 (text/plain, inline)]
tag #204 wontfix
close

Hi Dick

On Mi 08 Mai 2013 11:41:32 CEST Dick Kniep wrote:

> Included is the log on the server for the user. As you can see at a  
> certain moment it says "nxagentBlockHandler: No application running.  
> Closing the session." I don't know what causes this, it might be a

This is wanted by the NX developers. It means that the x2goagent runs  
with rootless=1 mode and it waits for an application to use this  
rootless mode x2goagent.

If no applications comes into play after a generous amount of time (it  
is hard-coded in NX) then the agent will end itself.

> segmentation fault in the application.

Yes, this may well be.

> However, it gets worse, because after this, it is impossible for the  
> user to login again. The only way to end the session is by kill -9.  
> After that the user can login again.......

This is probably related to some port handling problem in X2Go Server  
that we currently have in the stable release of X2Go Server.

I will close this bug and tag it as wontfix as the main issue may well  
be in your application (segmentation fault or similar).

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 04 Jul 2013 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:31:29 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.